Bug 476626 - GFS2: [RFE] fiemap support for GFS2
GFS2: [RFE] fiemap support for GFS2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Steve Whitehouse
Cluster QE
: FutureFeature, OtherQA
Depends On: 296951 455571
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 05:31 EST by Steve Whitehouse
Modified: 2009-09-03 09:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:02:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The RHEL patch - almost identical to upstream (5.66 KB, patch)
2009-04-01 08:43 EDT, Steve Whitehouse
no flags Details | Diff
Updated RHEL patch (11.00 KB, patch)
2009-04-21 05:47 EDT, Steve Whitehouse
no flags Details | Diff

  None (edit)
Description Steve Whitehouse 2008-12-16 05:31:52 EST
Cloned this so we can pull it into RHEL.

+++ This bug was initially created as a clone of Bug #455571 +++

GFS2 should support fiemap directly.

--- Additional comment from swhiteho@redhat.com on 2008-10-06 09:46:42 EDT ---

Created an attachment (id=319557)
First guesstimated patch

Based on the current proposed upstream patches. Not tested. Need to resolve locking order issue wrt the inode mutex. Currently this compiles, but is untested.

--- Additional comment from swhiteho@redhat.com on 2008-10-14 10:01:33 EDT ---

Created an attachment (id=320301)
Latest version of patch

As posted for review by the powers that be.

--- Additional comment from swhiteho@redhat.com on 2008-10-14 10:05:49 EDT ---

Created an attachment (id=320303)
My version of Eric's test program

I updated this from the version I found on the mailing lists so that it works with the latest FIEMAP impelmentation. Might need to copy some kernel headers to /usr/include/linux by hand as it looks like make headers_install doesn't do that.
Comment 1 Steve Whitehouse 2008-12-16 05:32:47 EST
Eric, will you be sending up the core FIEMAP patches for RHEL 5.4 shortly? This bug depends on that.
Comment 2 Eric Sandeen 2008-12-16 11:06:37 EST
(In reply to comment #1)
> Eric, will you be sending up the core FIEMAP patches for RHEL 5.4 shortly? This
> bug depends on that.

Nope, but Josef might; he owns 296951 for now.
Comment 3 Steve Whitehouse 2009-04-01 08:42:01 EDT
Since the patches for #296951 have been posted, I have now posted the RHEL-5 patch for FIEMAP for GFS2 which was only waiting for the core FIEMAP patches to be integrated.
Comment 4 Steve Whitehouse 2009-04-01 08:43:24 EDT
Created attachment 337506 [details]
The RHEL patch - almost identical to upstream
Comment 5 Steve Whitehouse 2009-04-21 05:47:14 EDT
Created attachment 340492 [details]
Updated RHEL patch
Comment 6 Don Zickus 2009-04-27 11:58:42 EDT
in kernel-2.6.18-141.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 9 Chris Ward 2009-08-03 11:45:38 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 5 Released! ~~

RHEL 5.4 Snapshot 5 is the FINAL snapshot to be release before RC. It has been 
released on partners.redhat.com. If you have already reported your test results, 
you can safely ignore this request. Otherwise, please notice that there should be 
a fix available now that addresses this particular issue. Please test and report 
back your results here, at your earliest convenience.

If you encounter any issues while testing Beta, please describe the 
issues you have encountered and set the bug into NEED_INFO. If you 
encounter new issues, please clone this bug to open a new issue and 
request it be reviewed for inclusion in RHEL 5.4 or a later update, if it 
is not of urgent severity. If it is urgent, escalate the issue to your partner manager as soon as possible. There is /very/ little time left to get additional code into 5.4 before GA.

Partners, after you have verified, do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other 
appropriate customer representative.
Comment 11 errata-xmlrpc 2009-09-02 05:02:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.